org.wildfly.swarm.config.messaging.activemq.server

## Class SecuritySetting<T extends SecuritySetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.messaging.activemq.server.SecuritySetting<T>

-     public class SecuritySetting<T extends SecuritySetting<T>>
      extends Object

  A security setting allows sets of permissions to be defined against queues based on their address.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SecuritySetting.SecuritySettingResources` Child mutators for SecuritySetting

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecuritySetting(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `T` | `role(Role value)` Add the Role object to the list of subresources
    `T` | `role(RoleSupplier supplier)` Install a supplied Role object to the list of subresources
    `T` | `role(String childKey)` Create and configure a Role object to the list of subresources
    `T` | `role(String childKey, RoleConsumer consumer)` Create and configure a Role object to the list of subresources
    `T` | `roles(List<Role> value)` Add all Role objects to this subresource
    `SecuritySetting.SecuritySettingResources` | `subresources()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecuritySetting

          public SecuritySetting(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public SecuritySetting.SecuritySettingResources subresources()

    - #### roles

          public T roles(List<Role> value)

      Add all Role objects to this subresource
      Parameters:
        `value` - List of Role objects.
      Returns:
        this

    - #### role

          public T role(Role value)

      Add the Role object to the list of subresources
      Parameters:
        `value` - The Role to add
      Returns:
        this

    - #### role

          public T role(String childKey,
                        RoleConsumer consumer)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
        `config` - The RoleConsumer to use
      Returns:
        this

    - #### role

          public T role(String childKey)

      Create and configure a Role object to the list of subresources
      Parameters:
        `key` - The key for the Role resource
      Returns:
        this

    - #### role

          public T role(RoleSupplier supplier)

      Install a supplied Role object to the list of subresources

Copyright © 2017 JBoss by Red Hat. All rights reserved.